# neutron_lib.agent.topics module

neutron_lib.agent.topics.get_topic_name(prefix, table, operation, host=None)

  Create a topic name.

  The topic name needs to be synced between the agent and the plugin. The plugin will send a fanout message to all of the listening agents so that the agents in turn can perform their updates accordingly.

  Parameters:

    - prefix – Common prefix for the plugin/agent message queues.

    - table – The table in question (NETWORK, SUBNET, PORT).

    - operation – The operation that invokes notification (CREATE, DELETE, UPDATE)

    - host – Add host to the topic

  Returns:

    The topic name.

this page last updated: 2026-03-26 12:58:28

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug